//---------------------------------------------------------------------------------------
//	MessagePart.h created by erik on Mon 20-Jan-1997
//	This code is part of the Alexandra Newsreader Project. For copyright details see
//	GNU public license version 2 or above. No warranties implied. Use at own risk.
//	More information can be found at <http://www.object-factory.com/Alexandra>.
//	@(#)$Id: MessagePart.h,v 1.3 1998/05/05 15:29:46 erik Exp $
//---------------------------------------------------------------------------------------

@interface MessagePart : NSObject
{
    NSMutableDictionary	*headerFields;
    id					contents;
}

+ (NSString *)tempAttachmentBasename;
+ (id)messagePartWithData:(NSData *)transferRep;

- initFromTransferRepresentation:(NSData *)transferRep;
- (NSData *)transferRepresentation;

- initWithContentType:(NSString *)ct subtype:(NSString *)cst parameters:(NSDictionary *)ctp;
- (void)takeTextualContentsFromData:(NSData *)data;
- (void)takeFileContentsFromData:(NSData *)data;
- (void)takeMultipartContentsFromData:(NSData *)data;
- (void)setContents:(id <NSObject>)object;
- (id <NSObject>)contents;

- (NSArray *)headerFieldNames;
- (void)setValue:(id)value ofHeaderFieldNamed:(NSString *)fieldName;
- (id)valueOfHeaderFieldNamed:(NSString *)fieldName;
- (NSString *)stringValueOfHeaderFieldNamed:(NSString *)fieldName;
- (NSString *)contentType;		// returns uniqued string. (compare to constant with ==)
- (NSString *)contentSubtype;
- (NSDictionary *)contentTypeParameters;
- (NSString *)contentDisposition; // returns uniqued string.
- (NSDictionary *)contentDispositionParameters;

- (NSString *)preferredFilename;
- (NSString *)temporaryFilename;
- (NSString *)filename;

- (void)setContentDescription:(NSString *)string;
- (NSString *)contentDescription;
- (void)setContentID:(NSString *)string;
- (NSString *)contentID;

@end
